# _embedded_hal_blocking_spi_Write in k210_hal::prelude - Rust
Blocking write
Keywords: rust, rustlang, rust-lang, _embedded_hal_blocking_spi_Write

# Trait k210_hal::prelude::_embedded_hal_blocking_spi_Write

source · [−]

    pub trait _embedded_hal_blocking_spi_Write<W> {
        type Error;
        fn try_write(&mut self, words: &[W]) -> Result<(), Self::Error>;
    }

Expand description

Blocking write

## Associated Types

source

#### type Error

Error type

## Required methods

source

#### fn try_write(&mut self, words: &[W]) -> Result<(), Self::Error>

Sends `words` to the slave, ignoring all the incoming words

## Implementors

source

### impl<W, S> Write<W> for S where
S: Default<W>,
W: Clone,

#### type Error = <S as FullDuplex<W>>::Error